## org.eclipse.emf.databinding.edit.internal
Class EMFEditSetPropertyDecorator

    java.lang.Object
      org.eclipse.core.databinding.property.set.SetProperty
          org.eclipse.emf.databinding.edit.internal.EMFEditSetPropertyDecorator

All Implemented Interfaces:
  IProperty, ISetProperty, IEMFEditProperty, IEMFEditSetProperty, IEMFProperty, IEMFSetProperty

    public class EMFEditSetPropertyDecorator

extends SetProperty
implements IEMFEditSetProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.6

Constructor Summary
`EMFEditSetPropertyDecorator(EditingDomain editingDomain, ISetProperty delegate, EStructuralFeature eStructuralFeature)`

Method Summary
`EditingDomain` `getEditingDomain()`
`java.lang.Object` `getElementType()`
`EStructuralFeature` `getStructuralFeature()` Returns the descriptor of the `EStructuralFeature` being observed.
`IObservableSet` `observe(java.lang.Object source)`
`IObservableSet` `observe(Realm realm, java.lang.Object source)`
`IObservableSet` `observeDetail(IObservableValue master)`
`IObservableFactory` `setFactory()`
`IObservableFactory` `setFactory(Realm realm)`
`java.lang.String` `toString()`
`IEMFEditMapProperty` `values(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified value property.
`IEMFEditMapProperty` `values(FeaturePath featurePath)` Returns a master-detail combination of this property and the specified value property.
`IEMFEditMapProperty` `values(IEMFEditValueProperty property)` Returns a master-detail combination of this property and the specified value property.
`IEMFMapProperty` `values(IEMFValueProperty property)` Returns a master-detail combination of this property and the specified value property.

Methods inherited from class org.eclipse.core.databinding.property.set.SetProperty
`values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.property.set.ISetProperty
`values`

Constructor Detail

### EMFEditSetPropertyDecorator

    public EMFEditSetPropertyDecorator(EditingDomain editingDomain,
                                       ISetProperty delegate,
                                       EStructuralFeature eStructuralFeature)

Parameters:
  `editingDomain` -
  `delegate` -
  `eStructuralFeature` -

Method Detail

### getElementType

    public java.lang.Object getElementType()

  Specified by:
    `getElementType` in interface `ISetProperty`

### values

    public IEMFEditMapProperty values(EStructuralFeature feature)

  Description copied from interface: `IEMFEditSetProperty`
  Returns a master-detail combination of this property and the specified value property.

  Specified by:
    `values` in interface `IEMFEditSetProperty`
  Specified by:
    `values` in interface `IEMFSetProperty`
  Parameters:
    `feature` - the value property to observe.
  Returns:
    a master-detail combination of this property and the specified value property.
  See Also:
    `IEMFEditSetProperty.values(IEMFEditValueProperty)`

### values

    public IEMFEditMapProperty values(FeaturePath featurePath)

  Description copied from interface: `IEMFEditSetProperty`
  Returns a master-detail combination of this property and the specified value property.

  Specified by:
    `values` in interface `IEMFEditSetProperty`
  Specified by:
    `values` in interface `IEMFSetProperty`
  Parameters:
    `featurePath` - the value property to observe. May be nested e.g. "parent.name"
  Returns:
    a master-detail combination of this property and the specified value property.
  See Also:
    `IEMFEditSetProperty.values(IEMFEditValueProperty)`

### values

    public IEMFEditMapProperty values(IEMFEditValueProperty property)

  Description copied from interface: `IEMFEditSetProperty`
  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all elements observed by this set property, mapping from this set property's elements (keys) to the specified value property's value for each element (values).

  Example:

       // Observes the set-typed "children" property of a Person object,
       // where the elements are Person objects
       IEMFEditSetProperty children = EMFEditProperties.set(domain, MyPackage.Literals.PERSON_CHILDREN);
       // Observes the string-typed "name" property of a Person object
       IEMFEditValueProperty name = EMFEditProperties.value(domain, MyPackage.Literals.PERSON_NAME);
       // Observes a map of children objects to their respective names.
       IEMFEditMapProperty childrenNames = children.values(name);

  Specified by:
    `values` in interface `IEMFEditSetProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

### values

    public IEMFMapProperty values(IEMFValueProperty property)

  Description copied from interface: `IEMFSetProperty`
  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all elements observed by this set property, mapping from this set property's elements (keys) to the specified value property's value for each element (values).

  Example:

       // Observes the set-typed "children" property of a Person object,
       // where the elements are Person objects
       IEMFSetProperty children = EMFProperties.set(MyPackage.Literals.PERSON_CHILDREN);
       // Observes the string-typed "name" property of a Person object
       IEMFValueProperty name = EMFProperties.value(MyPackage.Literals.PERSON_NAME);
       // Observes a map of children objects to their respective names.
       IEMFMapProperty childrenNames = children.values(name);

  Specified by:
    `values` in interface `IEMFSetProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

### getStructuralFeature

    public EStructuralFeature getStructuralFeature()

  Description copied from interface: `IEMFProperty`
  Returns the descriptor of the `EStructuralFeature` being observed.

  Specified by:
    `getStructuralFeature` in interface `IEMFProperty`
  Returns:
    the `EStructuralFeature` being observed

### observe

    public IObservableSet observe(java.lang.Object source)

  Specified by:
    `observe` in interface `ISetProperty`
  Overrides:
    `observe` in class `SetProperty`

### observe

    public IObservableSet observe(Realm realm,
                                  java.lang.Object source)

  Specified by:
    `observe` in interface `ISetProperty`

### setFactory

    public IObservableFactory setFactory()

  Specified by:
    `setFactory` in interface `ISetProperty`
  Overrides:
    `setFactory` in class `SetProperty`

### setFactory

    public IObservableFactory setFactory(Realm realm)

  Specified by:
    `setFactory` in interface `ISetProperty`
  Overrides:
    `setFactory` in class `SetProperty`

### observeDetail

    public IObservableSet observeDetail(IObservableValue master)

  Specified by:
    `observeDetail` in interface `ISetProperty`
  Overrides:
    `observeDetail` in class `SetProperty`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEditingDomain

    public EditingDomain getEditingDomain()

  Specified by:
    `getEditingDomain` in interface `IEMFEditProperty`
  Returns:
    the editing domain to execute commands

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.